[ARVADOS-DEV] updated: d99b860348c603932ca80c1c5b80c3e6880c1f35
git at public.curoverse.com
git at public.curoverse.com
Wed Oct 1 16:37:53 EDT 2014
Summary of changes:
jenkins/run-diagnostics-suite.sh | 54 ++++++++++++++++++++++++++++++++++++++++
1 file changed, 54 insertions(+)
create mode 100755 jenkins/run-diagnostics-suite.sh
via d99b860348c603932ca80c1c5b80c3e6880c1f35 (commit)
from 0869894ffaad8b028c4775bafb853535d1183689 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit d99b860348c603932ca80c1c5b80c3e6880c1f35
Author: Ward Vandewege <ward at curoverse.com>
Date: Wed Oct 1 16:28:42 2014 -0400
Add new run-diagnostics-suite.sh jenkins script.
No issue #
diff --git a/jenkins/run-diagnostics-suite.sh b/jenkins/run-diagnostics-suite.sh
new file mode 100755
index 0000000..be4e559
--- /dev/null
+++ b/jenkins/run-diagnostics-suite.sh
@@ -0,0 +1,54 @@
+#!/bin/bash
+
+EXITCODE=0
+
+# Sanity check
+if ! [[ -n "$WORKSPACE" ]]; then
+ echo "WORKSPACE environment variable not set"
+ exit 1
+fi
+
+title () {
+ txt="********** $1 **********"
+ printf "\n%*s%s\n\n" $((($COLUMNS-${#txt})/2)) "" "$txt"
+}
+
+timer_reset() {
+ t0=$SECONDS
+}
+
+timer() {
+ echo -n "$(($SECONDS - $t0))s"
+}
+
+source /etc/profile.d/rvm.sh
+echo $WORKSPACE
+
+title "Starting diagnostics"
+timer_reset
+
+cd $WORKSPACE
+
+cp -f /home/jenkins/diagnostics/arvados-workbench/application.yml $WORKSPACE/apps/workbench/config/
+
+cd $WORKSPACE/apps/workbench
+
+HOME="$GEMHOME" bundle install --no-deployment
+
+if [[ ! -d tmp ]]; then
+ mkdir tmp
+fi
+
+RAILS_ENV=diagnostics bundle exec rake TEST=test/diagnostics/pipeline_test.rb
+
+ECODE=$?
+
+if [[ "$ECODE" != "0" ]]; then
+ title "!!!!!! DIAGNOSTICS FAILED (`timer`) !!!!!!"
+ EXITCODE=$(($EXITCODE + $ECODE))
+ exit $EXITCODE
+fi
+
+title "Diagnostics complete (`timer`)"
+
+exit $EXITCODE
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list